SnapStream.StreamMode (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.persistence

## Enum SnapStream.StreamMode

- java.lang.Object
- - java.lang.Enum<SnapStream.StreamMode>
  - - org.apache.zookeeper.server.persistence.SnapStream.StreamMode

- All Implemented Interfaces:
    Serializable, Comparable<SnapStream.StreamMode>
  Enclosing class:
    SnapStream

      public static enum SnapStream.StreamMode
      extends Enum<SnapStream.StreamMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHECKED`
    `GZIP`
    `SNAPPY`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SnapStream.StreamMode` | `DEFAULT_MODE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SnapStream.StreamMode` | `fromString(String name)`
    `String` | `getFileExtension()`
    `String` | `getName()`
    `static SnapStream.StreamMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SnapStream.StreamMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GZIP

          public static final SnapStream.StreamMode GZIP

    - #### SNAPPY

          public static final SnapStream.StreamMode SNAPPY

    - #### CHECKED

          public static final SnapStream.StreamMode CHECKED

  - ### Field Detail

    - #### DEFAULT_MODE

          public static final SnapStream.StreamMode DEFAULT_MODE

  - ### Method Detail

    - #### values

          public static SnapStream.StreamMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnapStream.StreamMode c : SnapStream.StreamMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnapStream.StreamMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### getFileExtension

          public String getFileExtension()

    - #### fromString

          public static SnapStream.StreamMode fromString(String name)

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.